FileControllerCheckIn Method (Guid, CheckInOptions, NullableGuid) |
POST /File/CheckIn/{id}/
Checks in the file with the specified ID and comments.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("CheckIn")]
public IActionResult CheckIn(
Guid id,
[FromBodyAttribute] CheckInOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("CheckIn")>
Public Function CheckIn (
id As Guid,
<FromBodyAttribute> options As CheckInOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"CheckIn")]
IActionResult^ CheckIn(
Guid id,
[FromBodyAttribute] CheckInOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("CheckIn")>]
member CheckIn :
id : Guid *
[<FromBodyAttribute>] options : CheckInOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the file to check in. - options
- Type: Dundas.BI.WebApi.ModelsCheckInOptions
The options for this check in. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session.
Return Value
Type:
IActionResult
A
CheckInResultData, or a status code indicating the reason for failure.
See Also